﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using System;
using System.Linq;
using Telerik.Windows.Controls;
using System.Windows.Media;

namespace ChartApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            RadChart1.ItemsSource = A.Get().ToList();
        }
    }

    public class A
    {
        static List<Color> colors = new List<Color>() {Colors.Black, Colors.Blue, Colors.Brown };
        public DateTime Time { get; set; }
        public double MemUsage { get; set; }
        public string C { get; set; }
        public SolidColorBrush Color { get; set; }

        public static IEnumerable<A> Get()
        {
            for (int i = 0; i < 3; i++)
            {
                yield return new A() { Time = DateTime.Now.AddDays(i), MemUsage = i + 1, C = "Cat " + i, Color = new SolidColorBrush(colors[i]) };
            }
        }
    }
}
